Google Play Billing Library のバージョンのサポート終了

2019 年の Google I/O および Google Play Billing Library バージョン 3 の概要のブログ投稿でお知らせしましたように、Play Billing Library の各バージョンはすべて 2 年間でサポート終了となります。

このトピックでは、Billing Library のバージョンのサポート終了と新しいバージョンへの移行に関するよくある質問に回答します。

バージョン別のサポート タイムライン

バージョン(マイナー バージョンを含む) 最終日のバージョンを使用して、新しいアプリのリリースや既存のアプリのアップデートをリリースできます。 延長リクエストは 最新の状態にできます
5 2024 年 8 月 31 日 2024 年 11 月 1 日
6 2025 年 8 月 31 日 2025 年 11 月 1 日
7 2026 年 8 月 31 日 2026 年 11 月 1 日
サポート終了の警告を表示している APK または App Bundle を確認するにはどうすればよいですか?
プロジェクトのインポート済みの依存関係を確認します(たとえば、プロジェクトの build.gradle ファイルにある依存関係など)。要件に準拠するには、表に記載されているサポート対象バージョンをアプリがインポートする必要があります。なお、Billing の依存関係は、com.android.vending.BILLING 権限を必要とする APK にのみ存在します。
すでに管理していない APK または App Bundle で、サポートが終了したバージョンの Play Billing Library を使用しています。更新する必要はありますか?
すべての APK を最新バージョンの Play Billing Library に更新することを強くおすすめします。ただし、すでに管理していない APK の場合、現時点ではその APK に対応する必要はありません。今回のサポート終了では、新しいアプリとアップデートでのみ、古いバージョンの Play Billing Library を使用できなくなります。サポートが終了したバージョンのライブラリを使用する既存アプリは、引き続き正常に機能します。積極的に管理している APK はすべて更新するようにしてください。
APK または App Bundle を最新の Play Billing Library に更新しましたが、まだサポート終了の警告が表示されます。どうすればこの問題を解決できますか?
AndroidManifest.xmlcom.google.android.play.billingclient.version という名前のエントリが含まれているかどうかを確認します。このエントリが存在しない場合は、マニフェスト マージの設定をチェックして、マニフェスト マージの際にマニフェスト属性が抜け落ちていないかどうかを確認してください。
以前のバージョンの Play Billing Library からアップグレードするにはどうすればよいですか?

表に示すように、サポートされているバージョンを使用するようにリリースの依存関係を更新します。リリース間での変更点については、リリースノートをご覧ください。

また、PBL 7 への移行に関する詳細なガイドも用意されています。

11 月 1 日まですべての Google Play ユーザーに引き続き配信するための期限延長フォームはどこにありますか?

アプリが古いバージョンの Play Billing Library を使用していると、Google Play Console に警告と受信トレイのメッセージが表示されます。期限延長フォームには、Google Play Console の [ポリシーのステータス] ページにある警告または問題の詳細ページからアクセスできます。